/* Seam Carving */

#include <stdlib.h>
#include <stdint.h>
#include <stdio.h>
#include <mcimage.h>
#include <lseamcarving.h>

/* =============================================================== */
int main(int argc, char **argv)
/* =============================================================== */
{
  struct xvimage * imageIn;
  struct xvimage * imageOut;
  uint32_t largeur;

  if (argc != 4)
  {
    fprintf(stderr, "usage: %s in.pgm largeur out.pgm \n", argv[0]);
    exit(0);
  }

  imageIn = readimage(argv[1]);  
  if (imageIn == NULL)
  {
    fprintf(stderr, "%s: readimage failed\n", argv[0]);
    exit(0);
  }

  largeur = atoi(argv[2]);

  imageOut = allocimage(NULL, largeur, colsize(imageIn), 1, VFF_TYP_1_BYTE);  
  if (imageOut == NULL)
  {
    fprintf(stderr, "%s: allocimage failed\n", argv[0]);
    exit(0);
  }

  if (! lseamcarving(imageIn, largeur, imageOut))
  {
    fprintf(stderr, "%s: function lseamcarving failed\n", argv[0]);
    exit(0);
  }

  writeimage(imageOut, argv[3]);
  freeimage(imageIn);

  return 0;
} /* main */


